/* ---------------------------------------------------------- */
/* @(#) KRG.SQL V100                */
/* ---------------------------------------------------------- */
/* Product Provided Situations and Templates for              */
/* IBM Tivoli Advanced Audit for DFSMShsm Monitoring Agent  */
/*                                                            */
/* Licensed Materials - Property of IBM                       */
/* Copyright IBM Corp. 2005, 2011 All Rights Reserved               */
/* US Government Users Restricted Rights - Use, duplication or*/
/* disclosure restricted by GSA ADP Schedule Contract with    */
/* IBM Corp.                                                  */
/*                                                            */
/* Warning: this file contains ascii binary data that cannot  */
/*          be ftp'ed as TEXT between ascii and ebcdic hosts. */
/* ---------------------------------------------------------- */


/* Tasks */

/* LISTCAT_ENT */
INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.KRG                000000000000000000", 
  "LISTCAT_ENT [&DSNAME]",
  "Recover a data set from a backup version or restore a data set froma
 dump copy.",
  " ", 
  "KRG_LISTCAT", 
  "LISTCAT_ENT", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* HSEND_LIST_TTOC */
INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.KRG                000000000000000000", 
  "HSEND_LIST_TTOC [&VOLSER] [&WAIT]",
  "List information for DFSMShsm primary and backup volume information
 from the BCDS.",
  " ", 
  "KRG_HSENDTTOC", 
  "HSEND_LIST_TTOC", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* HSEND_LIST_DSNAME */
INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.KRG                000000000000000000", 
  "HSEND_LIST_DSNAME [&DSNAME] [&WAIT]",
  "List data set information from the MCDS and BCDS",
  " ", 
  "KRG_HSENDDSN", 
  "HSEND_LIST_DSNAME", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* Situations */
$PARMS 
( 
'ADVICE("krg:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRG                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1110909000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRG_MIGRATION_CONTROL_DATA_SET_ERROR_SUMMARY.MCSERRCNT
 *GT 0 *AND *STR KRG_MIGRATION_CONTROL_DATA_SET_ERROR_SUMMARY.MCSDIAGID
 *EQ 5,'C' ) *OR ( *VALUE
 KRG_MIGRATION_CONTROL_DATA_SET_ERROR_SUMMARY.MCSERRCNT *GT 0 *AND *STR
 KRG_MIGRATION_CONTROL_DATA_SET_ERROR_SUMMARY.MCSDIAGID *EQ 5,'V' ) )",
"E",
"0",
"000100",
"*NONE",
"KRG_MCDS_Critical_Error",
"Krg:KRG1013",
"NNN",
"ATOM=KRGMCDSUM.MCSDIAGID;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRG" ,
  "KRG_MCDS_Critical_Error" ,
  "Y" ,
  "1110909000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krg:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRG                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1110909000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRG_BACKUP_CONTROL_DATA_SET_ERROR_SUMMARY.BCSERRCNT *GT
 0 *AND *STR KRG_BACKUP_CONTROL_DATA_SET_ERROR_SUMMARY.BCSDIAGID *EQ 5,'
C' ) *OR ( *VALUE KRG_BACKUP_CONTROL_DATA_SET_ERROR_SUMMARY.BCSERRCNT
 *GT 0 *AND *STR KRG_BACKUP_CONTROL_DATA_SET_ERROR_SUMMARY.BCSDIAGID
 *EQ 5,'V' ) )",
"E",
"0",
"000100",
"*NONE",
"KRG_BCDS_Critical_Error",
"Krg:KRG1014",
"NNN",
"ATOM=KRGBCDSUM.BCSDIAGID;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRG" ,
  "KRG_BCDS_Critical_Error" ,
  "Y" ,
  "1110909000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krg:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRG                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1110909000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRG_OFFLINE_CONTROL_DATA_SET_ERROR_SUMMARY.OCSERRCNT
 *GT 0 *AND *STR KRG_OFFLINE_CONTROL_DATA_SET_ERROR_SUMMARY.OCSDIAGID
 *EQ 5,'C' ) *OR ( *VALUE
 KRG_OFFLINE_CONTROL_DATA_SET_ERROR_SUMMARY.OCSERRCNT *GT 0 *AND *STR
 KRG_OFFLINE_CONTROL_DATA_SET_ERROR_SUMMARY.OCSDIAGID *EQ 5,'V' ) )",
"E",
"0",
"000100",
"*NONE",
"KRG_OCDS_Critical_Error",
"Krg:KRG1015",
"NNN",
"ATOM=KRGOCDSUM.OCSDIAGID;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRG" ,
  "KRG_OCDS_Critical_Error" ,
  "Y" ,
  "1110909000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("krg:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.KRG                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1110909000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRG_HSM_TAPE_ERROR_SUMMARY.TPSERRCNT *GT 0 *AND *STR
 KRG_HSM_TAPE_ERROR_SUMMARY.TPSDIAGID *EQ 5,'C' ) *OR ( *VALUE
 KRG_HSM_TAPE_ERROR_SUMMARY.TPSERRCNT *GT 0 *AND *STR
 KRG_HSM_TAPE_ERROR_SUMMARY.TPSDIAGID *EQ 5,'V' ) )",
"E",
"0",
"000100",
"*NONE",
"KRG_HSM_Tape_Critical_Errors",
"Krg:KRG1016",
"NNN",
"ATOM=KRGTAPSUM.TPSDIAGID;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_KRG" ,
  "KRG_HSM_Tape_Critical_Errors" ,
  "Y" ,
  "1110909000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
